de.esprit.appsuite.nio.binary

## Class BinaryDataReader

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.appsuite.nio.binary.BinaryDataReader

- All Implemented Interfaces:
    BinaryChannel, SimpleLogSupport, Dumpable, java.io.Closeable, java.lang.AutoCloseable

      public class BinaryDataReader
      extends SimpleLogSupportAdapter
      implements BinaryChannel, java.io.Closeable

  This class...
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryDataReader(LogChannel logCh, java.io.File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <S extends BinaryDataStructure> S` | `add(S structure)`
    `void` | `close()`
    `java.nio.ByteOrder` | `getByteOrder()` This is supposed to be the central place where the byte order is stored.
    `long` | `getReadOperationCount()`
    `protected void` | `logClose(java.io.File file)`
    `protected void` | `logOpen(java.io.File file)`
    `protected void` | `read(AbstractByteBufferStore store, long startPosition)` Deprecated.
    `int` | `read(ByteBufferWrapper wrapper)`
    `void` | `setByteOrder(java.nio.ByteOrder byteOrder)`

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

- - ### Constructor Detail

    - #### BinaryDataReader

          public BinaryDataReader(LogChannel logCh,
                          java.io.File file)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### logOpen

          protected void logOpen(java.io.File file)

    - #### getReadOperationCount

          public final long getReadOperationCount()

    - #### add

          protected final <S extends BinaryDataStructure> S add(S structure)

    - #### getByteOrder

          public final java.nio.ByteOrder getByteOrder()
                                                throws java.io.IOException

      Description copied from interface: `BinaryChannel`
      This is supposed to be the central place where the byte order is stored.
      Specified by:
        `getByteOrder` in interface `BinaryChannel`
      Throws:
        `java.io.IOException`

    - #### setByteOrder

          public final void setByteOrder(java.nio.ByteOrder byteOrder)

      Specified by:
        `setByteOrder` in interface `BinaryChannel`

    - #### read

          public final int read(ByteBufferWrapper wrapper)
                         throws java.io.IOException

      Specified by:
        `read` in interface `BinaryChannel`
      Throws:
        `java.io.IOException`

    - #### read

          @Deprecated
          protected final void read(AbstractByteBufferStore store,
                             long startPosition)
                             throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### close

          public final void close()
                           throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### logClose

          protected void logClose(java.io.File file)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.